> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Queryreferences Segment

> Query all segments that reference the specified segment in their targeting.



## OpenAPI

````yaml /api/flags/api/segment.openapi.json get /v1/segments/{segment}:queryReferences
openapi: 3.1.0
info:
  title: Confidence Segment API
  version: 1.0.0
  description: API documentation for segment
servers: []
security: []
paths:
  /v1/segments/{segment}:queryReferences:
    get:
      summary: Queryreferences Segment
      description: >-
        Query all segments that reference the specified segment in their
        targeting.
      operationId: Segment.queryreferences
      parameters:
        - name: segment
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  segmentReferences:
                    type: array
                    items:
                      type: object
                      properties:
                        segment:
                          type: string
                          description: The referencing segment.
                        flag:
                          type: string
                          description: The flag this segment is associated with, if any.
                        workflowInstance:
                          type: string
                          description: >-
                            The workflow instance this segment is associated
                            with, if any.
                      required:
                        - segment
                    description: |-
                      Segments that reference this segment in their targeting,
                       along with their associated flag and workflow instance if available.
      security:
        - admin: []
      servers:
        - url: https://flags.eu.confidence.dev
        - url: https://flags.us.confidence.dev
        - url: https://flags.confidence.dev
components:
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````